Version chunked upload. Upload a chunk

/dam/assets/versions/bin/chunked/upload/{uploadTid} Upload a specified chunk of an asset.
Upload session must be started before a chunk upload.
Table 1. Details

Resource path

/api/core/v1/dam/assets/versions/bin/chunked/upload/{uploadTid}

HTTP method

POST

Request content type

multipart/form-data

Response content type

  • application/xml; charset=UTF-8;

  • application/json

  • application/json+compact

Parameters
Path Parameters
Name Description Required Default Pattern

uploadTid

The session identifier of the started chunked upload.

X

Form Parameters
Name Description Required Default Pattern

chunkId

Identity of an asset chunk which should be uploaded

X

Int32. Positive numbers starting from 0.

payload

Blob file

X

Return Type

PimType with filled ResponsesType

Response contains status of the chunk upload.

Responses
Table 2. Http response codes
Code Message Datatype

200

PimType with filled ResponsesType

PimType

500

An unknown internal error occurred

ResponseType

Samples
Please use transform endpoint to get the JSON/compact-JSON samples from the XML one.
Upload a chunk
curl
curl --location --request POST 'https://<OMN_SERVER>/api/core/v1/dam/assets/versions/bin/chunked/upload/614cde94-fdd6-47aa-86e6-c090d900032c' \
--header 'Authorization: Bearer <TOKEN>' \
--form 'payload=@"<PATH_TO_FILE>500x500.jpg"' \
--form 'chunkId="0";type=application/json'
Response body. With upload status
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn">
    <responses>
        <response action="create" id="0" tid="614cde94-fdd6-47aa-86e6-c090d900032c">
            <status>SUCCESS</status>
            <description>Chunk has been uploaded</description>
        </response>
    </responses>
</pim>

Welcome to the AI Chat!

Write a prompt to get started...